{
  "name": "@d8d/shared-ui-components",
  "version": "1.0.0",
  "type": "module",
  "description": "D8D Shared UI Components, Hooks, and Utilities",
  "main": "src/index.ts",
  "types": "src/index.ts",
  "exports": {
    ".": {
      "types": "./src/index.ts",
      "import": "./src/index.ts",
      "require": "./src/index.ts"
    },
    "./components": {
      "types": "./src/components/index.ts",
      "import": "./src/components/index.ts",
      "require": "./src/components/index.ts"
    },
    "./components/*": {
      "types": "./src/components/*",
      "import": "./src/components/*",
      "require": "./src/components/*"
    },
    "./components/admin": {
      "types": "./src/components/admin/index.ts",
      "import": "./src/components/admin/index.ts",
      "require": "./src/components/admin/index.ts"
    },
    "./components/admin/DataTablePagination": {
      "types": "./src/components/admin/DataTablePagination.tsx",
      "import": "./src/components/admin/DataTablePagination.tsx",
      "require": "./src/components/admin/DataTablePagination.tsx"
    },
    "./components/ui": {
      "types": "./src/components/ui/index.ts",
      "import": "./src/components/ui/index.ts",
      "require": "./src/components/ui/index.ts"
    },
    "./components/ui/accordion": {
      "types": "./src/components/ui/accordion.tsx",
      "import": "./src/components/ui/accordion.tsx",
      "require": "./src/components/ui/accordion.tsx"
    },
    "./components/ui/alert-dialog": {
      "types": "./src/components/ui/alert-dialog.tsx",
      "import": "./src/components/ui/alert-dialog.tsx",
      "require": "./src/components/ui/alert-dialog.tsx"
    },
    "./components/ui/alert": {
      "types": "./src/components/ui/alert.tsx",
      "import": "./src/components/ui/alert.tsx",
      "require": "./src/components/ui/alert.tsx"
    },
    "./components/ui/aspect-ratio": {
      "types": "./src/components/ui/aspect-ratio.tsx",
      "import": "./src/components/ui/aspect-ratio.tsx",
      "require": "./src/components/ui/aspect-ratio.tsx"
    },
    "./components/ui/avatar": {
      "types": "./src/components/ui/avatar.tsx",
      "import": "./src/components/ui/avatar.tsx",
      "require": "./src/components/ui/avatar.tsx"
    },
    "./components/ui/badge": {
      "types": "./src/components/ui/badge.tsx",
      "import": "./src/components/ui/badge.tsx",
      "require": "./src/components/ui/badge.tsx"
    },
    "./components/ui/breadcrumb": {
      "types": "./src/components/ui/breadcrumb.tsx",
      "import": "./src/components/ui/breadcrumb.tsx",
      "require": "./src/components/ui/breadcrumb.tsx"
    },
    "./components/ui/button": {
      "types": "./src/components/ui/button.tsx",
      "import": "./src/components/ui/button.tsx",
      "require": "./src/components/ui/button.tsx"
    },
    "./components/ui/calendar": {
      "types": "./src/components/ui/calendar.tsx",
      "import": "./src/components/ui/calendar.tsx",
      "require": "./src/components/ui/calendar.tsx"
    },
    "./components/ui/card": {
      "types": "./src/components/ui/card.tsx",
      "import": "./src/components/ui/card.tsx",
      "require": "./src/components/ui/card.tsx"
    },
    "./components/ui/carousel": {
      "types": "./src/components/ui/carousel.tsx",
      "import": "./src/components/ui/carousel.tsx",
      "require": "./src/components/ui/carousel.tsx"
    },
    "./components/ui/chart": {
      "types": "./src/components/ui/chart.tsx",
      "import": "./src/components/ui/chart.tsx",
      "require": "./src/components/ui/chart.tsx"
    },
    "./components/ui/checkbox": {
      "types": "./src/components/ui/checkbox.tsx",
      "import": "./src/components/ui/checkbox.tsx",
      "require": "./src/components/ui/checkbox.tsx"
    },
    "./components/ui/collapsible": {
      "types": "./src/components/ui/collapsible.tsx",
      "import": "./src/components/ui/collapsible.tsx",
      "require": "./src/components/ui/collapsible.tsx"
    },
    "./components/ui/command": {
      "types": "./src/components/ui/command.tsx",
      "import": "./src/components/ui/command.tsx",
      "require": "./src/components/ui/command.tsx"
    },
    "./components/ui/context-menu": {
      "types": "./src/components/ui/context-menu.tsx",
      "import": "./src/components/ui/context-menu.tsx",
      "require": "./src/components/ui/context-menu.tsx"
    },
    "./components/ui/dialog": {
      "types": "./src/components/ui/dialog.tsx",
      "import": "./src/components/ui/dialog.tsx",
      "require": "./src/components/ui/dialog.tsx"
    },
    "./components/ui/drawer": {
      "types": "./src/components/ui/drawer.tsx",
      "import": "./src/components/ui/drawer.tsx",
      "require": "./src/components/ui/drawer.tsx"
    },
    "./components/ui/dropdown-menu": {
      "types": "./src/components/ui/dropdown-menu.tsx",
      "import": "./src/components/ui/dropdown-menu.tsx",
      "require": "./src/components/ui/dropdown-menu.tsx"
    },
    "./components/ui/form": {
      "types": "./src/components/ui/form.tsx",
      "import": "./src/components/ui/form.tsx",
      "require": "./src/components/ui/form.tsx"
    },
    "./components/ui/hover-card": {
      "types": "./src/components/ui/hover-card.tsx",
      "import": "./src/components/ui/hover-card.tsx",
      "require": "./src/components/ui/hover-card.tsx"
    },
    "./components/ui/input-otp": {
      "types": "./src/components/ui/input-otp.tsx",
      "import": "./src/components/ui/input-otp.tsx",
      "require": "./src/components/ui/input-otp.tsx"
    },
    "./components/ui/input": {
      "types": "./src/components/ui/input.tsx",
      "import": "./src/components/ui/input.tsx",
      "require": "./src/components/ui/input.tsx"
    },
    "./components/ui/label": {
      "types": "./src/components/ui/label.tsx",
      "import": "./src/components/ui/label.tsx",
      "require": "./src/components/ui/label.tsx"
    },
    "./components/ui/menubar": {
      "types": "./src/components/ui/menubar.tsx",
      "import": "./src/components/ui/menubar.tsx",
      "require": "./src/components/ui/menubar.tsx"
    },
    "./components/ui/navigation-menu": {
      "types": "./src/components/ui/navigation-menu.tsx",
      "import": "./src/components/ui/navigation-menu.tsx",
      "require": "./src/components/ui/navigation-menu.tsx"
    },
    "./components/ui/pagination": {
      "types": "./src/components/ui/pagination.tsx",
      "import": "./src/components/ui/pagination.tsx",
      "require": "./src/components/ui/pagination.tsx"
    },
    "./components/ui/popover": {
      "types": "./src/components/ui/popover.tsx",
      "import": "./src/components/ui/popover.tsx",
      "require": "./src/components/ui/popover.tsx"
    },
    "./components/ui/progress": {
      "types": "./src/components/ui/progress.tsx",
      "import": "./src/components/ui/progress.tsx",
      "require": "./src/components/ui/progress.tsx"
    },
    "./components/ui/radio-group": {
      "types": "./src/components/ui/radio-group.tsx",
      "import": "./src/components/ui/radio-group.tsx",
      "require": "./src/components/ui/radio-group.tsx"
    },
    "./components/ui/resizable": {
      "types": "./src/components/ui/resizable.tsx",
      "import": "./src/components/ui/resizable.tsx",
      "require": "./src/components/ui/resizable.tsx"
    },
    "./components/ui/scroll-area": {
      "types": "./src/components/ui/scroll-area.tsx",
      "import": "./src/components/ui/scroll-area.tsx",
      "require": "./src/components/ui/scroll-area.tsx"
    },
    "./components/ui/select": {
      "types": "./src/components/ui/select.tsx",
      "import": "./src/components/ui/select.tsx",
      "require": "./src/components/ui/select.tsx"
    },
    "./components/ui/separator": {
      "types": "./src/components/ui/separator.tsx",
      "import": "./src/components/ui/separator.tsx",
      "require": "./src/components/ui/separator.tsx"
    },
    "./components/ui/sheet": {
      "types": "./src/components/ui/sheet.tsx",
      "import": "./src/components/ui/sheet.tsx",
      "require": "./src/components/ui/sheet.tsx"
    },
    "./components/ui/sidebar": {
      "types": "./src/components/ui/sidebar.tsx",
      "import": "./src/components/ui/sidebar.tsx",
      "require": "./src/components/ui/sidebar.tsx"
    },
    "./components/ui/skeleton": {
      "types": "./src/components/ui/skeleton.tsx",
      "import": "./src/components/ui/skeleton.tsx",
      "require": "./src/components/ui/skeleton.tsx"
    },
    "./components/ui/slider": {
      "types": "./src/components/ui/slider.tsx",
      "import": "./src/components/ui/slider.tsx",
      "require": "./src/components/ui/slider.tsx"
    },
    "./components/ui/sonner": {
      "types": "./src/components/ui/sonner.tsx",
      "import": "./src/components/ui/sonner.tsx",
      "require": "./src/components/ui/sonner.tsx"
    },
    "./components/ui/switch": {
      "types": "./src/components/ui/switch.tsx",
      "import": "./src/components/ui/switch.tsx",
      "require": "./src/components/ui/switch.tsx"
    },
    "./components/ui/table": {
      "types": "./src/components/ui/table.tsx",
      "import": "./src/components/ui/table.tsx",
      "require": "./src/components/ui/table.tsx"
    },
    "./components/ui/tabs": {
      "types": "./src/components/ui/tabs.tsx",
      "import": "./src/components/ui/tabs.tsx",
      "require": "./src/components/ui/tabs.tsx"
    },
    "./components/ui/textarea": {
      "types": "./src/components/ui/textarea.tsx",
      "import": "./src/components/ui/textarea.tsx",
      "require": "./src/components/ui/textarea.tsx"
    },
    "./components/ui/toggle-group": {
      "types": "./src/components/ui/toggle-group.tsx",
      "import": "./src/components/ui/toggle-group.tsx",
      "require": "./src/components/ui/toggle-group.tsx"
    },
    "./components/ui/toggle": {
      "types": "./src/components/ui/toggle.tsx",
      "import": "./src/components/ui/toggle.tsx",
      "require": "./src/components/ui/toggle.tsx"
    },
    "./components/ui/tooltip": {
      "types": "./src/components/ui/tooltip.tsx",
      "import": "./src/components/ui/tooltip.tsx",
      "require": "./src/components/ui/tooltip.tsx"
    },
    "./hooks": {
      "types": "./src/hooks/index.ts",
      "import": "./src/hooks/index.ts",
      "require": "./src/hooks/index.ts"
    },
    "./utils": {
      "types": "./src/utils/index.ts",
      "import": "./src/utils/index.ts",
      "require": "./src/utils/index.ts"
    },
    "./utils/cn": {
      "types": "./src/utils/cn.ts",
      "import": "./src/utils/cn.ts",
      "require": "./src/utils/cn.ts"
    },
    "./utils/hc": {
      "types": "./src/utils/hc.ts",
      "import": "./src/utils/hc.ts",
      "require": "./src/utils/hc.ts"
    },
    "./types": {
      "types": "./src/types/index.ts",
      "import": "./src/types/index.ts",
      "require": "./src/types/index.ts"
    }
  },
  "scripts": {
    "build": "tsc",
    "dev": "tsc --watch",
    "typecheck": "tsc --noEmit",
    "test": "vitest",
    "test:unit": "vitest run tests/unit",
    "test:coverage": "vitest --coverage",
    "test:typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@heroicons/react": "^2.2.0",
    "@radix-ui/react-accordion": "^1.2.11",
    "@radix-ui/react-alert-dialog": "^1.1.14",
    "@radix-ui/react-aspect-ratio": "^1.1.7",
    "@radix-ui/react-avatar": "^1.1.10",
    "@radix-ui/react-checkbox": "^1.3.2",
    "@radix-ui/react-collapsible": "^1.1.11",
    "@radix-ui/react-context-menu": "^2.2.15",
    "@radix-ui/react-dialog": "^1.1.14",
    "@radix-ui/react-dropdown-menu": "^2.1.15",
    "@radix-ui/react-hover-card": "^1.1.14",
    "@radix-ui/react-label": "^2.1.7",
    "@radix-ui/react-menubar": "^1.1.15",
    "@radix-ui/react-navigation-menu": "^1.2.13",
    "@radix-ui/react-popover": "^1.1.14",
    "@radix-ui/react-progress": "^1.1.7",
    "@radix-ui/react-radio-group": "^1.3.7",
    "@radix-ui/react-scroll-area": "^1.2.9",
    "@radix-ui/react-select": "^2.2.5",
    "@radix-ui/react-separator": "^1.1.7",
    "@radix-ui/react-slider": "^1.3.5",
    "@radix-ui/react-slot": "^1.2.3",
    "@radix-ui/react-switch": "^1.2.5",
    "@radix-ui/react-tabs": "^1.1.12",
    "@radix-ui/react-toggle": "^1.1.9",
    "@radix-ui/react-toggle-group": "^1.1.10",
    "@radix-ui/react-tooltip": "^1.2.7",
    "@tanstack/react-query": "^5.90.9",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "cmdk": "^1.1.1",
    "date-fns": "^4.1.0",
    "dayjs": "^1.11.13",
    "embla-carousel-react": "^8.6.0",
    "input-otp": "^1.4.2",
    "lucide-react": "^0.536.0",
    "next-themes": "^0.4.6",
    "react": "^19.2.0",
    "react-day-picker": "^9.8.1",
    "react-dom": "^19.2.0",
    "react-hook-form": "^7.61.1",
    "react-resizable-panels": "^3.0.4",
    "react-router": "^7.7.0",
    "react-router-dom": "^7.7.0",
    "react-toastify": "^11.0.5",
    "recharts": "2.15.4",
    "sonner": "^2.0.7",
    "tailwind-merge": "^3.3.1",
    "tw-animate-css": "^1.3.6",
    "vaul": "^1.1.2",
    "zod": "^4.0.15",
    "axios": "^1.11.0",
    "hono": "^4.8.5"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^6.8.0",
    "@testing-library/react": "^16.3.0",
    "@testing-library/user-event": "^14.6.1",
    "@types/react": "^19.2.2",
    "@types/react-dom": "^19.2.2",
    "@vitest/coverage-v8": "^3.2.4",
    "jsdom": "^26.0.0",
    "typescript": "^5.8.3",
    "vitest": "^3.2.4"
  },
  "files": [
    "src"
  ]
}